Bug 193380 - Review Request: hardinfo
Summary: Review Request: hardinfo
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-05-27 21:42 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 17:57:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damien Durand 2006-05-27 21:42:12 UTC
Spec URL: http://glive.tuxfamily.org/fedora/hardinfo/hardinfo.spec
SRPM URL: http://glive.tuxfamily.org/fedora/hardinfo/hardinfo-0.4-1.fc6.src.rpm
Description: HardInfo is a system profiler for Linux systems. It can display 
information about the hardware, software, and perform simple benchmarks.

Comment 1 Gérard Milmeister 2006-05-27 22:19:46 UTC
* Needed BuildRequires: which, pciutils
* There is no documentation in the source file, not even a license file.
  Upstream should be notified about this.
* Shared object files must not reside in %{_datadir}/hardinfo, they
  must go to %{_libdir}/hardinfo. If necessary you need to patch
  the source code.

Comment 2 Parag AN(पराग) 2006-06-01 06:30:11 UTC
1)Got some Source compilation warnings
In file included from computer.c:68:
./arch/this/processor.h: In function 'processor_get_capabilities_from_flags':
./arch/this/processor.h:253: warning: value computed is not used
In file included from computer.c:71:
./arch/this/samba.h: In function 'scan_shared_directories':
./arch/this/samba.h:71: warning: value computed is not used

2)Add INSTALL GPL REDME files and add to SPEC
%doc INSTALL GPL README


Comment 3 Damien Durand 2006-06-16 17:52:19 UTC
- Fix BR, add wich, pciutils-devel

Spec URL: http://glive.tuxfamily.org/fedora/hardinfo/hardinfo.spec

SRPM URL: http://glive.tuxfamily.org/fedora/hardinfo/hardinfo-0.4-2.fc6.src.rpm


Comment 4 Gérard Milmeister 2006-06-16 18:14:20 UTC
(In reply to comment #3)
> - Fix BR, add wich, pciutils-devel
You need BR pciutils for /sbin/lspci (checked for by configure)
What about the other points from comment #1?
Also needed runtime requires:
xdpyinfo (glx-utils)
glxinfo (xorg-x11-utils)
lspci (pciutils)


Comment 5 Damien Durand 2006-06-22 17:09:52 UTC
SPEC FILE : http://glive.tuxfamily.org/fedora/hardinfo/hardinfo.spec
SRPM FILE : http://glive.tuxfamily.org/fedora/hardinfo/hardinfo-0.4.1-1.fc6.src.rpm

- Upgrade to 0.4.1 version
- Add glux-utils xorg-x11-utils in BR
- Frst point about shared object is fixed in this release

Comment 6 Gérard Milmeister 2006-06-22 17:27:56 UTC
(In reply to comment #5)
> SPEC FILE : http://glive.tuxfamily.org/fedora/hardinfo/hardinfo.spec
> SRPM FILE :
http://glive.tuxfamily.org/fedora/hardinfo/hardinfo-0.4.1-1.fc6.src.rpm
> 
> - Upgrade to 0.4.1 version
> - Add glux-utils xorg-x11-utils in BR

You probably misread, you still need:
Requires: glx-utils, xorg-x11-utils, pciutils

Comment 7 Damien Durand 2006-06-22 17:41:51 UTC
Hoops, ok it's fixed.

Comment 8 Gérard Milmeister 2006-06-22 18:45:18 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > - Fix BR, add wich, pciutils-devel
> You need BR pciutils for /sbin/lspci (checked for by configure)
It is indeed BR pciutils and not pciutils-devel that is needed.

Comment 9 Damien Durand 2006-06-23 08:11:18 UTC
Thanks for your review, but for the moment, I would like to know if the package
works fine, I'll add pciutils in the require later.

Comment 10 Chitlesh GOORAH 2006-06-23 18:30:02 UTC
along with pciutils as BR

these have to be fixed:

chitlesh(i386)[0]$rpmlint -i hardinfo-0.4.1-1.i386.rpm
W: hardinfo no-documentation
The package contains no documentation (README, doc, etc).
You have to include documentation files.

E: hardinfo script-without-shellbang /usr/share/hardinfo/benchmark.conf
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: hardinfo script-without-shellbang /usr/share/hardinfo/modules.conf
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: hardinfo script-without-shellbang /usr/share/hardinfo/uidefs.xml
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.

E: hardinfo script-without-shellbang /usr/share/hardinfo/benchmark.data
This executable text file does not contain a shebang, thus it cannot be
properly executed.  Often this is a sign of spurious executable bits for a
non-script file, but can also be a case of a missing shebang.  To fix this
error, find out which case of the above it is, and either remove the
executable bits or add the shebang.


and Im wondering why have you not patch the hardinfo.desktop instead of creating
a new hardinfo.desktop

Comment 11 Gérard Milmeister 2006-06-26 19:15:17 UTC
(In reply to comment #9)
> Thanks for your review, but for the moment, I would like to know if the package
> works fine, I'll add pciutils in the require later.
The package should at least build in mock, then we can go into the details.

Comment 12 Damien Durand 2006-06-26 21:51:13 UTC
- Fix all executable bits on modules.conf uidefs.xml benchmark.data
- Add %post and %postun section
- Add License file in %file section

SPEC URL : http://glive.tuxfamily.org/fedora/hardinfo/hardinfo.spec
SRPMS URL : http://glive.tuxfamily.org/fedora/hardinfo/hardinfo-0.4.1-3.fc6.src.rpm

Comment 13 Gérard Milmeister 2006-06-27 08:15:54 UTC
Builds fine in mock and works as expected.
* rpmlint output:
  W: hardinfo no-documentation
  At least the license file should be included.
* there is no need for /sbin/ldconfig in the scripts
* there are now two desktop files in %{_datadir}/applications
  as has already been said, just modify the included
  desktop file
* 

Comment 14 Chitlesh GOORAH 2006-06-27 08:25:32 UTC
(In reply to comment #13)

Damien, that's why I had included this in my spec file send to you

> Builds fine in mock and works as expected.
> * rpmlint output:
>   W: hardinfo no-documentation
>   At least the license file should be included.

%doc LICENSE

> * there is no need for /sbin/ldconfig in the scripts


%post 
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
%postun

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%{_datadir}/applications/fedora-%{name}.desktop

> * there are now two desktop files in %{_datadir}/applications
>   as has already been said, just modify the included
>   desktop file
> *

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        --add-category System                                   \
        --delete-original                                       \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

Comment 15 Gérard Milmeister 2006-06-27 08:32:12 UTC
Also gtk-update-icon-cache is not needed either, since the icon is not
installed in the %{_datadir}/icons/hicolor directory.

Comment 16 Chitlesh GOORAH 2006-06-27 08:39:09 UTC
To make the icon to show properly in the gnome applications menu.

see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=193929#c15

Comment 17 Michael Schwendt 2006-07-06 14:18:08 UTC
* Wrong. This package does not use any cached pixmap location, but
an absolute path in the .desktop file. Touching the hicolor directory
and running gtk-update-icon-cache is completely useless here.

* Bad:

Software is not compiled with Fedora global %{optflags}.

Image files are executable.

Missing:
Requires(post): /sbin/ldconfig
Requires(post)un: /sbin/ldconfig

Duplicate .desktop files.


Comment 18 Michael Schwendt 2006-07-06 14:19:53 UTC
> Missing:
> Requires(post): /sbin/ldconfig
> Requires(post)un: /sbin/ldconfig

Should read:

Missing:
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Comment 19 Jason Tibbitts 2006-09-23 14:51:46 UTC
This bug has been in the NEEDINFO state for six weeks now.  I will close it in
one week if there is no further response.


Note You need to log in before you can comment on or make changes to this bug.